/*========================================Global========================================*/
@import './vars';

html,
body{
    height: 100%;
}

body{
    font-weight: 400;
    background-color: $main;
}

a{
    color: #FFFFFF;
    transition: .3s all;
}

button{
    background-color: transparent;
    border: none;
    padding: 0;
    color: #FFFFFF;
    cursor: pointer;
    transition: .3s all;
}


.bg {
    background-repeat: no-repeat;
    background-position: top;
    background-size: cover;
}


.burger{
    cursor: pointer;
    width: 45px;
    height: 35px;
    display: inline-block;
    position: absolute;
    top: 60px;
    right: 20px;
    transform: translate(-50%, -50%);
    z-index: 20;

    @media(max-width: 800px) {
       top: 45px;
       right: 10px;
    }
}

.burger-line{
    width: 45px;
    height: 6px;
    background: $gray;
    position: absolute;
    transition: .3s all;
    top: 50%;
    transform: translateY(-50%);
    border-radius: 4px;

    &::after,
    &::before{
        content: "";
        position: absolute;
        height: 6px;
        transition: .3s all;
        border-radius: 4px;
    }

    &::after{
        top: -10px;
        background: $gray;
        width: 45px;
    }

    &::before{
        top: 10px;
        background: $gray;
        width: 45px;
    }

}

.burger.active{
    .burger-line {
        width: 35px;
        transform: translateX(-50%);
        background-color: transparent;

        &::after{
            transform: rotate(-45deg) translate(8px, 17px);
        }
    
        &::before{
            transform: rotate(45deg) translate(5px, -20px);
        }
        
    }
}

.container{
    max-width: 1350px;
    margin: 0 auto;
    padding: 0 15px;
}

/*======================================================================================*/